Generate picking batch
POST
/merchants/{merchantCode}/pickingBatches/generate
const url = 'https://order.shopgate.io/v1/merchants/example/pickingBatches/generate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"locationCode":"warehouse","fulfillmentOrderCount":3}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/pickingBatches/generate \ --header 'Content-Type: application/json' \ --data '{ "locationCode": "warehouse", "fulfillmentOrderCount": 3 }'Generate picking batch
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
Request Body
Section titled “Request Body”Media typeapplication/json
object
locationCode
required
string
Example
warehousefulfillmentOrderCount
required
number
Example
3Responses
Section titled “Responses”ID of generated picking batch
Media typeapplication/json
object
id
string
Example
{ "id": 42}Merchant, Location or Fulfillment orders not found
Media typeapplication/json

